## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Tests need network access and credentials for a real Kubernetes cluster
%bcond tests 0

Name:           python-snakemake-executor-plugin-kubernetes
Version:        0.2.2
Release:        %autorelease
Summary:        A snakemake executor plugin for submission of jobs to Kubernetes

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-executor-plugin-kubernetes
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-executor-plugin-kubernetes-%{version}.tar.gz

# Update kubernetes requirement from >=27.2.0,<31 to >=27.2.0,<32
# https://github.com/snakemake/snakemake-executor-plugin-kubernetes/pull/26
Patch:          %{url}/pull/26.patch

BuildArch:      noarch

BuildRequires:  python3-devel
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  snakemake >= 8
%if %{with tests}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist snakemake-storage-plugin-s3}
%endif

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-snakemake-executor-plugin-kubernetes
Summary:        %{summary}

%description -n python3-snakemake-executor-plugin-kubernetes %{common_description}


%prep
%autosetup -n snakemake-executor-plugin-kubernetes-%{version}

# Remove upstream’s upper-bound on the version of kubernetes. This package
# routinely ends up briefly failing to build from source and sometimes failing
# to install due to “incompatible” major-version updates in python-kubernetes,
# but there have so far never been any real incompatibilities in practice.
# Upstream will still (eventually) keep up with new versions without us filing
# PR’s because they have configured dependabot, e.g.
# https://github.com/snakemake/snakemake-executor-plugin-kubernetes/pull/26.
sed -r -i 's/(kubernetes = ".*),<[^"]+"/\1"/' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files snakemake_executor_plugin_kubernetes


%check
%pyproject_check_import

%if %{with tests}
%pytest -v tests/tests.py
%endif


%files -n python3-snakemake-executor-plugin-kubernetes -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Nov 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.2-3
- Remove upstream’s upper-bound on the version of kubernetes

* Wed Nov 06 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.2-2
- Allow Kubernetes 31 (close RHBZ#2323987)

* Thu Oct 10 2024 Packit <hello@packit.dev> - 0.2.2-1
- Update to 0.2.2 upstream release
- Resolves: rhbz#2317925

* Sun Sep 08 2024 Packit <hello@packit.dev> - 0.2.1-1
- Update to 0.2.1 upstream release
- Resolves: rhbz#2310718

* Fri Aug 23 2024 Packit <hello@packit.dev> - 0.2.0-1
- Update to 0.2.0 upstream release
- Resolves: rhbz#2307479

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 10 2024 Python Maint <python-maint@redhat.com> - 0.1.5-3
- Rebuilt for Python 3.13

* Mon Jun 10 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.5-2
- Patch to allow python-kubernetes 30 (fixes RHBZ#2291143)

* Fri Mar 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.5-1
- Initial package (close RHBZ#2262422)

* Fri Mar 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.4-1
- Initial package as reviewed
## END: Generated by rpmautospec
